Skip to main content
GET
/
v1
/
api-keys
List all API keys
curl --request GET \
  --url https://api.example.com/v1/api-keys \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/v1/api-keys"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/v1/api-keys', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "clientId": "abc123xyz456",
    "createdAt": "<string>",
    "isActive": true,
    "name": "Production Integration",
    "description": "<string>",
    "lastUsedAt": "2026-04-20T08:00:00.000Z"
  }
]

Authorizations

Authorization
string
header
required

Enter Auth0 JWT token

Response

200 - application/json

List of API keys

clientId
string
required

Auth0 client ID

Example:

"abc123xyz456"

createdAt
string
required

Creation timestamp

isActive
boolean
required

Whether the key is active

name
string
required

Name of the API key

Example:

"Production Integration"

description
string

Description

lastUsedAt
string | null

ISO 8601 timestamp of the most recent successful auth with this key. Null if the key has never been used.

Example:

"2026-04-20T08:00:00.000Z"